<?php
class ControllerModuleLinkCart extends Controller {
	private $error = array(); 
	
	public function index() {   
		$this->language->load('module/link_cart');


		$this->document->setTitle($this->language->get('heading_title'));
		
		$this->load->model('setting/setting');
		$this->load->model('design/layout');
				
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			
			$settings = $this->request->post;
			$count_layout =  count($this->model_design_layout->getLayouts());
			
			for ($i=1;$i<=$count_layout;$i++)
			$settings['link_cart_module'][] = array (
				'layout_id' => (string)$i,
				'position' => 'content_top',
				'status' => 1,
				'sort_order' => ''
			);
			
			$this->model_setting_setting->editSetting('link_cart', $settings);	
			
			$this->session->data['success'] = $this->language->get('text_success');
	
			$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
		}
				
		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_yes'] = $this->language->get('text_yes');
		$this->data['text_no'] = $this->language->get('text_no');
		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['button_save_and_stay'] = $this->language->get('button_save_and_stay');
		$this->data['entry_instructions'] = $this->language->get('entry_instructions');
		$this->data['text_instructions'] = $this->language->get('text_instructions');

		$this->data['entry_link_cart_on_off'] = $this->language->get('entry_link_cart_on_off');
		
		$this->data['text_on'] = $this->language->get('text_on');
		$this->data['text_off'] = $this->language->get('text_off');
		
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		
 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}

  		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_module'),
			'href'      => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('module/link_cart', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
		$this->data['action'] = $this->url->link('module/link_cart', 'token=' . $this->session->data['token'], 'SSL');
		
		$this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
		

		
		if (isset($this->request->post['link_cart_on_off'])) {
			$this->data['link_cart_on_off'] = $this->request->post['link_cart_on_off'];
		} else {
			$this->data['link_cart_on_off'] = $this->config->get('link_cart_on_off');
		}	

		
		$this->data['layouts'] = $this->model_design_layout->getLayouts();
				
		$this->template = 'module/link_cart.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);
				
		$this->response->setOutput($this->render());
	}
	
	protected function validate() {
		if (!$this->user->hasPermission('modify', 'module/link_cart')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		
		if (!$this->error) {
			return true;
		} else {
			return false;
		}	
	}
	
	public function install() {
		  $this->load->model('setting/setting');
		  $file1 = str_replace("admin", "vqmod/xml", DIR_APPLICATION) . "a_vqmod_link_cart.xml_"; $file2 = str_replace("admin", "vqmod/xml", DIR_APPLICATION) . "a_vqmod_link_cart.xml";
		  if (file_exists($file1)) rename($file1, $file2);
		  
	}
		 
	public function uninstall() {
		  $this->load->model('setting/setting');
		  $file1 = str_replace("admin", "vqmod/xml", DIR_APPLICATION) . "a_vqmod_link_cart.xml"; $file2 = str_replace("admin", "vqmod/xml", DIR_APPLICATION) . "a_vqmod_link_cart.xml_";
		  if (file_exists($file1)) rename($file1, $file2);
		  
	}
}
?>